[maemo-developers] Debmaster: Help for PyMaemo dependency hell on Fremantle?

From: Thomas Waelti twaelti at gmail.com
Date: Tue Sep 22 00:01:29 EEST 2009
Thanks you both for all the support.

Unfortunately, from evaluation of your feedbacks, I found out that the information in http://maemo.org/packages/view/mclock/ is outdated and does not reflect the currently uploaded package (build3) but instead still contains the information from an earlier build. The errors mentioned in there were (hopefully) resolved by me in the way you mentioned in build3 which is the most recently uploaded package.
Is there a problem with the queue for loading into fremantle extras-devel repository (taking too long) or is my package so wrong (perhaps a py2deb bug)?
It did however build OK (https://garage.maemo.org/builder/fremantle/mclock_0.6.0-3/)

[2009-09-21 20:55:21] Processing package mclock 0.6.0-3. Uploader: twaelti, builder: builder1
[2009-09-21 20:55:29] Building mclock 0.6.0-3 for target 'maemo-fremantle-i386-extras-devel'
[2009-09-21 20:56:26] OK
[2009-09-21 20:56:27] Signing build results
[2009-09-21 20:56:34] mclock 0.6.0-3 has been queued for loading into fremantle extras-devel repository

I will wait for the repository and package view webpage to get updated with the newer build and try again tomorrow.


> On Mon, Sep 21, 2009 at 4:02 PM, Jeremiah Foster
> <jeremiah at jeremiahfoster.com> wrote:
>> The following packages have unmet dependencies:
>> mclock: Depends: gnome-python (>= 2.26.1-1maemo1)          
>> Depends: pygtk (>= 2.12.1-6maemo7) but it is not installable      
>>      Depends: pygame (>= 1.8.1release-0maemo3) but it is not
> You are using the wrong package names, you should use:
> python-gtk2
> python-pygame
> Regards,
More information about the maemo-developers mailing list